# Class GprHtml

java.lang.Object
org.snpeff.util.GprHtml

public class GprHtml extends Object
General stuff realted to HTML

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GprHtml()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`heatMapColor(double value, double maxValue, double minValue, int rgbMaxValue, int rgbMinValue)`
Create a color (heat-map) based in a value and maximum possible value
`static String`
`heatMapColor(long value, long maxValue, long minValue, int rgbMaxValue, int rgbMinValue)`
Create a color (heat-map) based in a value and maximum possible value

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GprHtml

public GprHtml()

## Method Details

### heatMapColor

public static String heatMapColor(double value, double maxValue, double minValue, int rgbMaxValue, int rgbMinValue)
Create a color (heat-map) based in a value and maximum possible value

Parameters:
  `value` -
  `maxValue` -
Returns:

### heatMapColor

public static String heatMapColor(long value, long maxValue, long minValue, int rgbMaxValue, int rgbMinValue)
Create a color (heat-map) based in a value and maximum possible value

Parameters:
  `value` -
  `maxValue` -
Returns: